# Gruene Groupfolder Management

## Overview
Die "Wolke-Groupfolder-App" ist eine Anwendung zur Erstellung und Verwaltung von einer Account unabhängigen Ordnerstruktur innerhalb von Nextcloud. Es gibt eine Anbindung an die Mitgliederdatenbank der GRÜNEN "Sherpa"

The "Cloud Groupfolder App" is an application for creating and managing an account-independent folder structure within Nextcloud. There is a connection to the member database of DIE GRÜNEN "Sherpa"

# Development

## On Development Server (wolke.dev.netzbegruenung.de)

* add your user to the admin group

```sh
sudo -u www-data php /opt/nextcloud/occ group:adduser admin JohnDoe
sudo -u www-data php /opt/nextcloud/occ group:adduser 1_7555233 JohnDoe 
```

# Release

## Increasing version number:

```sh
krankerl version (major|minor|patch)
```

## Creating release archive:

```sh
krankerl package
```

The release tar.gz will be created at ./build/artifacts/gruenegroupfoldermanagement.tar.gz

## Installation

Unpack the release archive in **nextcloud/apps/**


## Code Formatting (PHP)

This project is using the [Nextcloud Coding Standards](https://github.com/nextcloud/coding-standard) which is a set of code formatting rules to be used with [PHP-CS-Fixer](https://github.com/PHP-CS-Fixer/PHP-CS-Fixer).
There is no need to install the cli tool because the binary is shipped with the nextcloud/coding-standard package.

### Run the code formater (dry run)

```sh
composer cs:check
```

### Run the code formater (write files)

```sh
composer cs:fix
```

### VS Code Integreation
To use with VS Code, install the extension `php cs fixer` by junstyle

