<?php
/** @var $l \OCP\IL10N */
/** @var $_ array */

script('gruenegroupfoldermanagement', 'admin');         // adds a JavaScript file
?>

<div id="gruenegroupfoldermanagement" class="section">
    <h2><?php p($l->t('GRÜNE Group Folder')); ?></h2>

    <div id="gruenegroupfoldermanagement-save-indicator" class="msg success inlineblock" style="display: none;">Saved</div>

    <p><label for="gruenegroupfoldermanagement-group_filter_pattern"><?php p($l->t('Group filter pattern (regex)')); ?></label><input id="gruenegroupfoldermanagement-group_filter_pattern" name="gruenegroupfoldermanagement-group_filter_pattern" value="<?php echo $_['group_filter_pattern']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-role_filter_pattern"><?php p($l->t('Group role filter pattern (regex)')); ?></label><input id="gruenegroupfoldermanagement-role_filter_pattern" name="gruenegroupfoldermanagement-role_filter_pattern" value="<?php echo $_['role_filter_pattern']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-default_quota"><?php p($l->t('Default quota (byte)')); ?></label><input id="gruenegroupfoldermanagement-default_quota" name="gruenegroupfoldermanagement-default_quota" value="<?php echo $_['default_quota']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-share_user"><?php p($l->t('Share user')); ?></label><input id="gruenegroupfoldermanagement-share_user" name="gruenegroupfoldermanagement-share_user" value="<?php echo $_['share_user']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-share_group"><?php p($l->t('Share group')); ?></label><input id="gruenegroupfoldermanagement-share_group" name="gruenegroupfoldermanagement-share_group" value="<?php echo $_['share_group']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-api_server"><?php p($l->t('API Server')); ?></label><input id="gruenegroupfoldermanagement-api_server" name="gruenegroupfoldermanagement-api_server" value="<?php echo $_['api_server']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-api_user"><?php p($l->t('API User')); ?></label><input id="gruenegroupfoldermanagement-api_user" name="gruenegroupfoldermanagement-api_user" value="<?php echo $_['api_user']; ?>" /></p>

    <p><label for="gruenegroupfoldermanagement-api_password"><?php p($l->t('API Password')); ?></label><input id="gruenegroupfoldermanagement-api_password" name="gruenegroupfoldermanagement-api_password" value="<?php echo $_['api_password']; ?>" /></p>
</div>
